Blog |Follow Nick on Twitter| About
 

Some people may have noticed that you can't install Google Browser Sync for Firefox if you live outside of the USA. If you try and download the xpi package directly you get this page This product is not available in your country :-(

Well I've got a neat trick, try this link instead: http://anon.free.anonymizer.com/http://toolbar.google.com/firefox/extensions/toolbar/google-browsersync.xpi

rgds,

Nick

 
Nick Bettison ©